Faturayı Getir
GET
/v1/invoices/{id}OptionalBir faturayı kimliğine göre getirir.
Kimlik Doğrulama
İmza Deseni
HMAC-SHA256(secretKey, "{timestamp}\nGET\n/v1/invoices/{id}\n{sha256(\"\")}")| Başlık | Değer | Açıklama |
|---|---|---|
X-Api-Key | pk_live_a1b2c3d4e5f6g7h8 | Merchant public API key |
X-Signature | {hmac_sha256_hex} | Hex HMAC-SHA256 request signature |
X-Timestamp | 2026-04-13T10:00:00Z | ISO 8601 UTC request time (±5 min) |
Yanıt Parametreleri
| Alan | Tür | Örnek |
|---|---|---|
id | string | "inv_7a8b9c0d1e2f" |
merchantId | string | "mrc_8a1b2c3d4e5f" |
storeId | string | "sto_5a6b7c8d" |
publicHash | string | "aB3xK9mN2pQ7rS1tV5wY8z" |
status | string | "sent" |
amountMinor | integer | 50000 |
currency | string | "TRY" |
buyerEmail | string | "buyer@example.com" |
url | string | "https://pay.kvell.group/invoice/aB3xK9mN… |
createdAt | string | "2026-04-13T10:00:00Z" |
sentAt | string | "2026-04-13T10:05:00Z" |
Yanıt Örneği
JSONYanıt
{
"id": "inv_7a8b9c0d1e2f",
"merchantId": "mrc_8a1b2c3d4e5f",
"storeId": "sto_5a6b7c8d",
"publicHash": "aB3xK9mN2pQ7rS1tV5wY8z",
"status": "sent",
"amountMinor": 50000,
"currency": "TRY",
"buyerEmail": "buyer@example.com",
"url": "https://pay.kvell.group/invoice/aB3xK9mN2pQ7rS1tV5wY8z",
"createdAt": "2026-04-13T10:00:00Z",
"sentAt": "2026-04-13T10:05:00Z"
}Durum Kodları
200Success
201Created
400Bad Request
401Unauthorized
404Not Found
429Rate Limited
DeneSahte
GEThttps://api.pay.sandbox.kvell.group